<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'invoice_import_cost.php');
/**
 * invoice_import_costs class 
 *
 */
class invoice_import_costs extends databasetable
{
	/**
	 * initiates the invoice_import_costs class
	 *
	 */
	function invoice_import_costs(){
		$this->set_tablename(TABLE_INVOICE_IMPORT_COSTS);
		$this->set_index('invoice_import_costs_id');
		/*
		$this->related_tables = array(
			0=>array('table'=>TABLE_CUSTOMERS_TO_COMPANIES,'key'=>$this->get_index() )
		);
		*/
	}
	
	/**
	 * return a invoice_import_cost object
	 *
	 * @param integer $id
	 * @return object
	 */
	function get_invoice_import_cost($id){
		$values = $this->get_row_by_index($id);
		$invoice_import_cost_instance = new invoice_import_cost( (object) current($values) );
		return $invoice_import_cost_instance;
	}
}
